import { ChainEntityEvent, EntityFilter } from "./entity";
import { Changed, ChangeFilter, Created } from "./change";
import { AccessRights, AccessRightsFilter } from "./access";
export declare enum Type {
    FILE = "FILE",
    DIRECTORY = "DIRECTORY"
}
export interface FileInfo extends Changed, Created {
    fileId?: string;
    fileName?: string;
    type?: Type;
    parentId?: string;
    mime?: string;
    tags: string[];
    accessRights?: AccessRights;
}
export interface FileInfoFilter extends EntityFilter {
    fileId?: string;
    fileName?: string;
    types?: Type[];
    parentId?: string;
    tags?: string[];
    accessFilter?: AccessRightsFilter;
    change?: ChangeFilter;
    created?: ChangeFilter;
}
export interface FileEvent extends ChainEntityEvent<FileInfo> {
}
